package sun.awt;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;

public class HorizBagLayout implements LayoutManager {
   int hgap;

   public HorizBagLayout() {
      this(0);
   }

   public HorizBagLayout(int var1) {
      this.hgap = var1;
   }

   public void addLayoutComponent(String var1, Component var2) {
   }

   public void removeLayoutComponent(Component var1) {
   }

   public Dimension minimumLayoutSize(Container var1) {
      Object var3 = ((Component)var1).getTreeLock();
      synchronized(var3){}

      Dimension var2;
      try {
         Dimension var5 = new Dimension();

         for(int var6 = 0; var6 < var1.countComponents(); ++var6) {
            Component var7 = var1.getComponent(var6);
            if (var7.isVisible()) {
               Dimension var8 = var7.minimumSize();
               var5.width += var8.width + this.hgap;
               var5.height = Math.max(var8.height, var5.height);
            }
         }

         Insets var11 = var1.insets();
         var5.width += var11.left + var11.right;
         var5.height += var11.top + var11.bottom;
         var2 = var5;
      } catch (Throwable var10) {
         throw var10;
      }

      return var2;
   }

   public Dimension preferredLayoutSize(Container var1) {
      Object var3 = ((Component)var1).getTreeLock();
      synchronized(var3){}

      Dimension var2;
      try {
         Dimension var5 = new Dimension();

         for(int var6 = 0; var6 < var1.countComponents(); ++var6) {
            Component var7 = var1.getComponent(var6);
            if (var7.isVisible()) {
               Dimension var8 = var7.preferredSize();
               var5.width += var8.width + this.hgap;
               var5.height = Math.max(var5.height, var8.height);
            }
         }

         Insets var11 = var1.insets();
         var5.width += var11.left + var11.right;
         var5.height += var11.top + var11.bottom;
         var2 = var5;
      } catch (Throwable var10) {
         throw var10;
      }

      return var2;
   }

   public void layoutContainer(Container var1) {
      Object var2 = ((Component)var1).getTreeLock();
      synchronized(var2){}

      try {
         Insets var4 = var1.insets();
         int var5 = var4.top;
         int var6 = ((Component)var1).size().height - var4.bottom;
         int var7 = var4.left;
         ((Component)var1).size();

         for(int var8 = 0; var8 < var1.countComponents(); ++var8) {
            Component var9 = var1.getComponent(var8);
            if (var9.isVisible()) {
               int var10 = var9.size().width;
               var9.resize(var10, var6 - var5);
               Dimension var11 = var9.preferredSize();
               var9.reshape(var7, var5, var11.width, var6 - var5);
               var7 += var11.width + this.hgap;
            }
         }
      } catch (Throwable var13) {
         throw var13;
      }

   }

   public String toString() {
      return this.getClass().getName() + "[hgap=" + this.hgap + "]";
   }
}
