package sun.awt;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;

public class VerticalBagLayout implements LayoutManager {
   int vgap;

   public VerticalBagLayout() {
      this(0);
   }

   public VerticalBagLayout(int var1) {
      this.vgap = var1;
   }

   public void addLayoutComponent(String var1, Component var2) {
   }

   public void removeLayoutComponent(Component var1) {
   }

   public Dimension minimumLayoutSize(Container var1) {
      Object var3 = ((Component)var1).getTreeLock();
      synchronized(var3){}

      Dimension var2;
      try {
         Dimension var5 = new Dimension();
         int var6 = var1.countComponents();

         for(int var7 = 0; var7 < var6; ++var7) {
            Component var8 = var1.getComponent(var7);
            if (var8.isVisible()) {
               Dimension var9 = var8.minimumSize();
               var5.width = Math.max(var9.width, var5.width);
               var5.height += var9.height + this.vgap;
            }
         }

         Insets var12 = var1.insets();
         var5.width += var12.left + var12.right;
         var5.height += var12.top + var12.bottom;
         var2 = var5;
      } catch (Throwable var11) {
         throw var11;
      }

      return var2;
   }

   public Dimension preferredLayoutSize(Container var1) {
      Object var3 = ((Component)var1).getTreeLock();
      synchronized(var3){}

      Dimension var2;
      try {
         Dimension var5 = new Dimension();
         int var6 = var1.countComponents();

         for(int var7 = 0; var7 < var6; ++var7) {
            Component var8 = var1.getComponent(var7);
            Dimension var9 = var8.preferredSize();
            var5.width = Math.max(var9.width, var5.width);
            var5.height += var9.height + this.vgap;
         }

         Insets var12 = var1.insets();
         var5.width += var12.left + var12.right;
         var5.height += var12.top + var12.bottom;
         var2 = var5;
      } catch (Throwable var11) {
         throw var11;
      }

      return var2;
   }

   public void layoutContainer(Container var1) {
      Object var2 = ((Component)var1).getTreeLock();
      synchronized(var2){}

      try {
         Insets var4 = var1.insets();
         int var5 = var4.top;
         ((Component)var1).size();
         int var6 = var4.left;
         int var7 = ((Component)var1).size().width - var4.right;
         int var8 = var1.countComponents();

         for(int var9 = 0; var9 < var8; ++var9) {
            Component var10 = var1.getComponent(var9);
            if (var10.isVisible()) {
               int var11 = var10.size().height;
               var10.resize(var7 - var6, var11);
               Dimension var12 = var10.preferredSize();
               var10.reshape(var6, var5, var7 - var6, var12.height);
               var5 += var12.height + this.vgap;
            }
         }
      } catch (Throwable var14) {
         throw var14;
      }

   }

   public String toString() {
      return this.getClass().getName() + "[vgap=" + this.vgap + "]";
   }
}
